Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.session
Class SubSession

    java.lang.Object
      org.jboss.portal.portlet.session.SubSession

All Implemented Interfaces:
  java.io.Externalizable, java.io.Serializable

    public class SubSession

extends java.lang.Object
implements java.io.Externalizable

A subsession keep tracks of the content of a given portlet session.

Version:
  $Revision: 8784 $
Author:
  Julien Viet
See Also:
  Serialized Form

Constructor Summary
`SubSession()`
`SubSession(java.lang.String id)`

Method Summary
`void` | `create()`
`void` | `destroy()`
`java.lang.Object` | `getAttribute(java.lang.String name)`
`java.util.Set` | `getAttributeNames()`
`java.lang.String` | `getId()`
`boolean` | `isActivated()`
`void` | `readExternal(java.io.ObjectInput in)`
`void` | `setActivated(boolean activated)`
`void` | `setAttribute(java.lang.String name, java.lang.Object value)`
`void` | `synchronizeWithDispatchedSession(javax.servlet.http.HttpServletRequest dispatchedRequest)` Synchronize the content with the session held by the dispatched request.
`void` | `synchronizeWithPortalSession(javax.servlet.http.HttpServletRequest portalRequest, java.util.List modifications, java.lang.String key)`
`void` | `writeExternal(java.io.ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SubSession

    public SubSession(java.lang.String id)

### SubSession

    public SubSession()

Method Detail

### getId

    public java.lang.String getId()

### isActivated

    public boolean isActivated()

### setActivated

    public void setActivated(boolean activated)

### getAttributeNames

    public java.util.Set getAttributeNames()

### getAttribute

    public java.lang.Object getAttribute(java.lang.String name)

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.Object value)

### create

    public void create()

### destroy

    public void destroy()

### synchronizeWithPortalSession

    public void synchronizeWithPortalSession(javax.servlet.http.HttpServletRequest portalRequest,
                                             java.util.List modifications,
                                             java.lang.String key)

  Parameters:
    `portalRequest` -
    `key` -

### synchronizeWithDispatchedSession

    public void synchronizeWithDispatchedSession(javax.servlet.http.HttpServletRequest dispatchedRequest)

  Synchronize the content with the session held by the dispatched request. This method will use the thread context classloader to unserialize the content of the session.

  Parameters:
    `dispatchedRequest` -

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Specified by:
    `readExternal` in interface `java.io.Externalizable`
  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Specified by:
    `writeExternal` in interface `java.io.Externalizable`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD